from providers.sigrefdata.pnp_kml_sig_ref_data_provider import ParksNPeaksKMLSIGRefDataProvider


class SANPCPA(ParksNPeaksKMLSIGRefDataProvider):
    """SIG ref data provider for the South Australia National Parks and Conservation Parks Award (SANPCPA)."""

    POLL_INTERVAL_DAYS = 365
    SIG = "SANPCPA"
    DATA_URL = "https://parksnpeaks.org/getPOI.php?poiClass=SANPCPA&poiFormat=4"

    def __init__(self, provider_config):
        super().__init__(self.SIG, provider_config, self.DATA_URL, self.POLL_INTERVAL_DAYS)
